## ros-kinetic-rostful 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rostful)

find_package(catkin REQUIRED COMPONENTS
    catkin_pip
)

# We need to install the pip dependencies in the workspace being created
# catkin_pip_requirements(${CMAKE_CURRENT_SOURCE_DIR}/requirements.txt)
# Currently : no extra dev requirements needed : every required dependency in setup.py

# Forcing to not retrieve all our dependencies, in order to uses system/ROS packages.
# TMP : working with pip dependencies
#set (CATKIN_PIP_NO_DEPS False FORCE)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(rostful)

install(DIRECTORY scripts/
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        USE_SOURCE_PERMISSIONS)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Unit tests
if (CATKIN_ENABLE_TESTING)

    ##############################################################################
    # Nose Tests
    ##############################################################################

    catkin_add_pytests(tests)

endif()

=== debian/changelog ===
ros-kinetic-rostful (0.2.1-0xenial) xenial; urgency=high

  * Now storing log in ROS_HOME when running on ROS as installed package.
    cosmetics. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Sat, 21 Apr 2018 22:00:00 -0000

ros-kinetic-rostful (0.2.0-0xenial) xenial; urgency=high

  * V0.2.0. [AlexV]
  * Integrated release commands to setup.py. [AlexV]
  * Cleaning up param interface to only keep a working minimum view.
    [AlexV]
  * Fixing getting param value. [AlexV]
  * Removing unused scripts. __main__ is now the entrypoint. [AlexV]
  * Pin numpy to latest version 1.14.2. [pyup-bot]
  * Pin hypothesis to latest version 3.56.3. [pyup-bot]
  * Pin pytest-xdist to latest version 1.22.2. [pyup-bot]
  * Pin pytest to latest version 3.5.0. [pyup-bot]
  * Removing outdated ros content. has already been moved to examples or
    pyros interface. [AlexV]
  * Adding pyup badges. [AlexV]
  * Cleaning up Readmes. added gitchangelog and pyup configuration.
    [AlexV]
  * Updating sphinx config. [AlexV]
  * Fixing dependencies to latest pyros. [AlexV]
  * Reverting to latest tox. [AlexV]
  * Reviewing dependencies and ROS packages versions. [AlexV]
  * Cleaning up travis matrix in yml. fixing travis-env in tox.ini.
    [AlexV]
  * Pinning tox to 2.9.1 for travis testing. [AlexV]
  * Quick fix to install python-catkin-pip on travis (doesn't get
    automatically pulled by rosdep apparently) [alexv]
  * Adding pyros dependency. [AlexV]
  * Fixing imports for new pyros_04. forcing PyrosROS node. removed unused
    server module. cleaning up instance config file. [alexv]
  * Migrating to latest catkin_pip. [AlexV]
  * Readme file command correction. [Thomas]Fixed the command to Install and setup the virtualenvwrapper
  * Not upgrading tox on travis just yet. [AlexV]
  * Fixing tox params. [AlexV]
  * Removing tox options for hypothesis. [AlexV]
  * Removing ROS specific files. adding tox and requirements. [AlexV]
  * Fixing python-flask-restful dependency. [AlexV]
  * Adding kinetic travis checks. [AlexV]
  * Preventing switch to tornado 5 for now (breaking install on lder
    systems). [AlexV]
  * Making dependency on backports.ssl-mach-hostname system version
    dependent. [AlexV]
  * Adding python install dependency on backports.ssl-match-hostname on
    python <=3.4. [AlexV]
  * Now travis install current package in venv before running tests to
    make sure we retrieve dependencies. [AlexV]
  * Removing submodules from setup.py packages_dir. they re gone. [AlexV]
  * Default config exposes everything. Better for ease of use for now...
    [AlexV]
  * Commenting useless stuff. [AlexV]
  * Getting flask restful resource to work. [AlexV]
  * Getting ROS interface by defaut. better for now. [AlexV]
  * Cleaning up setup.py. [alexv]
  * Now relying on catkin_pip 0.2.3. [alexv]
  * Changing nose -> pytest comments about package_data. [alexv]
  * Removing jade as it is EOL and we are missing dependencies. commenting
    kinetic as upgrading dependencies from ROS package to system package
    is not working yet : https://github.com/ros-
    infrastructure/rosdep/issues/539. [alexv]
  * Fixing package data for templates. [alexv]
  * Removing git submodules to now rely on python dependencies. [alexv]
  * Fixing package-data description for jquery-mobile. [alexv]
  * Adding tblib dependency since we use it directly. [alexv]
  * Hack to work around potential catkin_pip bug. [alexv]
  * Fixing tests on xenial with pytests. [alexv]
  * Now using catkin_pip 0.2. [AlexV]
  * Fixing tests with pyros 0.4. [AlexV]
  * Comments and requirements changes. [AlexV]
  * Fixing import to work with pyros_04. [AlexV]
  * Change branch name for pyros. [Thomas]Changed pyros branch used in indigo-devel.rosinstall
    as the specified branch for pyros (eg: indigo-devel) no longer
    exist.
  * Adding flask_restful dependency for ROS build. adding pyros_config
    dependency for python setup. [alexv]
  * Added flask_reverse_proxy for ROS and pyros_setup for python. [alexv]
  * Ddign flask_cors dependency for ros and fixing pyros version for
    python. [alexv]
  * Changes to use catkin_pip with setuptools. [alexv]
  * Removed static data from manifest.in, to match pyros manifest, hoping
    to fix travis. [alexv]
  * Adding detailed description of all package data we want, both in
    setup.py and Manifest.in. [alexv]
  * Fixed some dependencies. improves how to find the configuration file
    or generate if needed. [alexv]
  * Fixing how we determine instance_path in ROS usecase. adding
    simplejson dependency for python. [alexv]
  * Temporary declaring a dependency on python-mock, because of pyros
    0.3.0. [alexv]
  * Adding roslint dependency to build with current CMakeLists. [alexv]
  * Removing passlib and rester from dependencies list. not needed now.
    [alexv]
  * Upgrading to package.xml v2, updating travis script and fixing tests.
    [alexv]

 -- AlexV <asmodehn@gmail.com>  Fri, 20 Apr 2018 22:00:00 -0000

ros-kinetic-rostful (0.1.0-0xenial) xenial; urgency=high

  * Releasing 0.1.0 with catkin. [alexv]
  * Revert "using tblib 1.2 from ros TPR package" [alexv]This reverts commit cf1a9c8989a778d4a1096c45f3cb9960e1727c05.
  * Changed default connection cache topics. comments. [alexv]
  * Resolving import name collision. [AlexV]
  * Using tblib 1.2 from ros TPR package. [alexv]
  * Now also installing blueprints. [alexv]
  * Fixing urls behind proxy. simplified routing. [alexv]
  * Adding comment about using apispec to generate swagger spec. [alexv]
  * Python cosmetics. [alexv]
  * Fixing nopyrosclient test and various python issues. [alexv]
  * Adding logformatter. [alexv]
  * Now using blueprint to be able to hold multiple version of API. lost
    of structure changes and simplifications. [alexv]
  * Now passing logfile and config from roslaunch to the app. [alexv]
  * Now explicitely setting the instance path to ros home. especially
    useful when using from install space. [alexv]


=== debian/control ===
Source: ros-kinetic-rostful
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, python-flask (>= 0.10.1), python-flask-restful (>= 0.3.4), python-simplejson, python-tornado (>= 4.2.1), python-yaml, ros-kinetic-catkin, ros-kinetic-catkin-pip (>= 0.2.3), ros-kinetic-click (>= 6.2.0), ros-kinetic-flask-cors (>= 3.0.2), ros-kinetic-flask-reverse-proxy (>= 0.2.0), ros-kinetic-pyros (>= 0.4.3), ros-kinetic-pyros-interfaces-ros (>= 0.4.2), ros-kinetic-roslint, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-tblib (>= 1.2.0), ros-kinetic-webargs (>= 1.3.4)
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rostful
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-flask (>= 0.10.1), python-flask-restful (>= 0.3.4), python-simplejson, python-tornado (>= 4.2.1), python-yaml, ros-kinetic-click (>= 6.2.0), ros-kinetic-flask-cors (>= 3.0.2), ros-kinetic-flask-reverse-proxy (>= 0.2.0), ros-kinetic-pyros (>= 0.4.3), ros-kinetic-pyros-interfaces-ros (>= 0.4.2), ros-kinetic-rospy, ros-kinetic-tblib (>= 1.2.0), ros-kinetic-webargs (>= 1.3.4)
Description: REST API for ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rostful//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
